Search for __get

  1. Search 7.x for __get
  2. Search 8.9.x for __get
  3. Search 10.3.x for __get
  4. Search 11.x for __get
  5. Other projects
Title Object type File name Summary
PageCache::getCacheId function core/modules/page_cache/src/StackMiddleware/PageCache.php Gets the page cache ID for this request.
PageCacheTest::getHeaders function core/modules/page_cache/tests/src/Functional/PageCacheTest.php Retrieves only the headers for an absolute path.
PageCacheTest::getHeaders function core/modules/hal/tests/src/Functional/page_cache/PageCacheTest.php Retrieves only the headers for an absolute path.
PageDisplayVariantSelectionEvent::getContexts function core/lib/Drupal/Core/Render/PageDisplayVariantSelectionEvent.php Gets the contexts that were set during event dispatch.
PageDisplayVariantSelectionEvent::getPluginConfiguration function core/lib/Drupal/Core/Render/PageDisplayVariantSelectionEvent.php Get the configuration for the selected page display variant.
PageDisplayVariantSelectionEvent::getPluginId function core/lib/Drupal/Core/Render/PageDisplayVariantSelectionEvent.php The selected page display variant plugin ID.
PageDisplayVariantSelectionEvent::getRouteMatch function core/lib/Drupal/Core/Render/PageDisplayVariantSelectionEvent.php Gets the current route match.
Pager::getCurrentPage function core/lib/Drupal/Core/Pager/Pager.php Gets the current page.
Pager::getInfo function core/lib/Drupal/Core/Render/Element/Pager.php Returns the element properties for this element.
Pager::getLimit function core/lib/Drupal/Core/Pager/Pager.php Gets the maximum number of items per page.
Pager::getTotalItems function core/lib/Drupal/Core/Pager/Pager.php Gets the total number of items.
Pager::getTotalPages function core/lib/Drupal/Core/Pager/Pager.php Gets the total number of pages.
PagerManager::getMaxPagerElementId function core/lib/Drupal/Core/Pager/PagerManager.php Gets the extent of the pager page element IDs.
PagerManager::getPager function core/lib/Drupal/Core/Pager/PagerManager.php Gets a pager from the static cache.
PagerManager::getUpdatedParameters function core/lib/Drupal/Core/Pager/PagerManager.php Gets the URL query parameter array of a pager link.
PagerManagerInterface::getMaxPagerElementId function core/lib/Drupal/Core/Pager/PagerManagerInterface.php Gets the extent of the pager page element IDs.
PagerManagerInterface::getPager function core/lib/Drupal/Core/Pager/PagerManagerInterface.php Gets a pager from the static cache.
PagerManagerInterface::getUpdatedParameters function core/lib/Drupal/Core/Pager/PagerManagerInterface.php Gets the URL query parameter array of a pager link.
PagerManagerTest::providerTestGetMaxPagerElementId function core/tests/Drupal/KernelTests/Core/Pager/PagerManagerTest.php Provides test cases for PagerManagerTest::testGetMaxPagerElementId().
PagerManagerTest::testGetMaxPagerElementId function core/tests/Drupal/KernelTests/Core/Pager/PagerManagerTest.php @covers ::getMaxPagerElementId[[api-linebreak]]
PagerManagerTest::testGetUpdatedParameters function core/tests/Drupal/KernelTests/Core/Pager/PagerManagerTest.php @covers ::getUpdatedParameters[[api-linebreak]]
PagerParameters::getPagerParameter function core/lib/Drupal/Core/Pager/PagerParameters.php Gets the 'page' query parameter for the current request.
PagerParameters::getPagerQuery function core/lib/Drupal/Core/Pager/PagerParameters.php Gets the request query parameter.
PagerParameters::getQueryParameters function core/lib/Drupal/Core/Pager/PagerParameters.php Gets all request URL query parameters that are unrelated to paging.
PagerParametersInterface::getPagerParameter function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Gets the 'page' query parameter for the current request.
PagerParametersInterface::getPagerQuery function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Gets the request query parameter.
PagerParametersInterface::getQueryParameters function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Gets all request URL query parameters that are unrelated to paging.
PagerPluginBase::getCurrentPage function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the current page.
PagerPluginBase::getItemsPerPage function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get how many items per page this pager will display.
PagerPluginBase::getOffset function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the page offset, or how many items to skip.
PagerPluginBase::getPagerId function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the pager id, if it exists.
PagerPluginBase::getTotalItems function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the total number of items.
PagerPluginBaseTest::testGetCurrentPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getCurrentPage() method.
PagerPluginBaseTest::testGetItemsPerPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getItemsPerPage() method.
PagerPluginBaseTest::testGetOffset function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getOffset() method.
PagerPluginBaseTest::testGetPagerId function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getPagerId() method.
PagerPluginBaseTest::testGetTotalItems function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getTotalItems() method.
PagersCacheContext::getCacheableMetadata function core/lib/Drupal/Core/Cache/Context/PagersCacheContext.php Gets the cacheability metadata for the context based on the parameter value.
PagersCacheContext::getContext function core/lib/Drupal/Core/Cache/Context/PagersCacheContext.php
PagersCacheContext::getLabel function core/lib/Drupal/Core/Cache/Context/PagersCacheContext.php Returns the label of the cache context.
PagerSelectExtender::getCountQuery function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Retrieve the count query for this pager.
PagerSelectExtender::getElement function core/lib/Drupal/Core/Database/Query/PagerSelectExtender.php Gets the element ID for this pager query.
PageTest class core/modules/views/tests/src/Unit/Plugin/display/PageTest.php @coversDefaultClass \Drupal\views\Plugin\views\display\Page[[api-linebreak]]
@group views
PageTest class core/modules/system/tests/src/Functional/Batch/PageTest.php Tests the content of the progress page.
PageTest.php file core/modules/system/tests/src/Functional/Batch/PageTest.php
PageTest.php file core/modules/views/tests/src/Unit/Plugin/display/PageTest.php
PageTest::$defaultTheme property core/modules/system/tests/src/Functional/Batch/PageTest.php The theme to install as the default for testing.
PageTest::$modules property core/modules/system/tests/src/Functional/Batch/PageTest.php Modules to enable.
PageTest::testBatchProgressMessages function core/modules/system/tests/src/Functional/Batch/PageTest.php Tests that the progress messages are correct.
PageTest::testBatchProgressPageTheme function core/modules/system/tests/src/Functional/Batch/PageTest.php Tests that the batch API progress page uses the correct theme.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.